## rustc-web 1.70.0%2Bdfsg1

=== tests/run-make/compile-stdin/Makefile ===
# ignore-cross-compile
include ../tools.mk

all:
	echo 'fn main(){}' | $(RUSTC) -
	$(call RUN,rust_out)

=== tests/run-make/compiler-lookup-paths-2/Makefile ===
include ../tools.mk

all:
	mkdir -p $(TMPDIR)/a $(TMPDIR)/b
	$(RUSTC) a.rs && mv $(TMPDIR)/liba.rlib $(TMPDIR)/a
	$(RUSTC) b.rs -L $(TMPDIR)/a && mv $(TMPDIR)/libb.rlib $(TMPDIR)/b
	$(RUSTC) c.rs -L crate=$(TMPDIR)/b -L dependency=$(TMPDIR)/a \
		&& exit 1 || exit 0

=== tests/run-make/foreign-rust-exceptions/Makefile ===
# ignore-cross-compile
# ignore-i686-pc-windows-gnu

# This test doesn't work on 32-bit MinGW as cdylib has its own copy of unwinder
# so cross-DLL unwinding does not work.

include ../tools.mk

all:
	$(RUSTC) bar.rs --crate-type=cdylib
	$(RUSTC) foo.rs
	$(call RUN,foo) 2>&1 | $(CGREP) "Rust cannot catch foreign exceptions"

=== tests/run-make/pointer-auth-link-with-c/Makefile ===
include ../tools.mk

# only-aarch64

all:
	$(COMPILE_OBJ) $(TMPDIR)/test.o test.c
	$(AR) rcs $(TMPDIR)/libtest.a $(TMPDIR)/test.o
	$(RUSTC) -Z branch-protection=bti,pac-ret,leaf test.rs
	$(call RUN,test)

	$(COMPILE_OBJ) $(TMPDIR)/test.o test.c -mbranch-protection=bti+pac-ret+leaf
	$(AR) rcs $(TMPDIR)/libtest.a $(TMPDIR)/test.o
	$(RUSTC) -Z branch-protection=bti,pac-ret,leaf test.rs
	$(call RUN,test)

=== tests/run-make/raw-dylib-inline-cross-dylib/Makefile ===
# Regression test for calling an inline function that uses a raw-dylib function.

# only-windows

include ../tools.mk

# We'd be using the llvm-objdump instead of the system objdump to ensure compatibility
# with the LLVM bitcode generated by rustc but on Windows  piping/IO redirection under MSYS2 is wonky with llvm-objdump.
OBJDUMP = objdump

all:
	$(RUSTC) --crate-type dylib --crate-name raw_dylib_test lib.rs -C prefer-dynamic
	$(RUSTC) --crate-type dylib --crate-name raw_dylib_test_wrapper lib_wrapper.rs -C prefer-dynamic
	$(RUSTC) --crate-type bin driver.rs -L "$(TMPDIR)" -C prefer-dynamic
	# Make sure we don't find an import to the functions we expect to be inlined.
	$(OBJDUMP) -p $(TMPDIR)/driver.exe | $(CGREP) -v -e "inline_library_function"
	$(OBJDUMP) -p $(TMPDIR)/driver.exe | $(CGREP) -v -e "inline_library_function_calls_inline"
	# Make sure we do find an import to the functions we expect to be imported.
	$(OBJDUMP) -p $(TMPDIR)/driver.exe | $(CGREP) -e "library_function"
	$(call COMPILE_OBJ,"$(TMPDIR)"/extern_1.obj,extern_1.c)
	$(call COMPILE_OBJ,"$(TMPDIR)"/extern_2.obj,extern_2.c)
ifdef IS_MSVC
	$(CC) "$(TMPDIR)"/extern_1.obj -link -dll -out:"$(TMPDIR)"/extern_1.dll -noimplib
	$(CC) "$(TMPDIR)"/extern_2.obj -link -dll -out:"$(TMPDIR)"/extern_2.dll -noimplib
else
	$(CC) "$(TMPDIR)"/extern_1.obj -shared -o "$(TMPDIR)"/extern_1.dll
	$(CC) "$(TMPDIR)"/extern_2.obj -shared -o "$(TMPDIR)"/extern_2.dll
endif
	$(call RUN,driver) > "$(TMPDIR)"/output.txt

ifdef RUSTC_BLESS_TEST
	cp "$(TMPDIR)"/output.txt output.txt
else
	$(DIFF) output.txt "$(TMPDIR)"/output.txt
endif

=== tests/run-make/rustdoc-scrape-examples-test/Makefile ===
extra_flags := --scrape-tests
deps := ex

include ../rustdoc-scrape-examples-multiple/scrape.mk

all: scrape

=== tests/run-make/rustdoc-themes/Makefile ===
include ../tools.mk

# Test that rustdoc will properly load in a theme file and display it in the theme selector.

OUTPUT_DIR := "$(TMPDIR)/rustdoc-themes"

all:
	cp $(S)/src/librustdoc/html/static/css/themes/light.css $(TMPDIR)/test.css
	$(RUSTDOC) -o $(OUTPUT_DIR) foo.rs --theme $(TMPDIR)/test.css
	$(HTMLDOCCK) $(OUTPUT_DIR) foo.rs

=== tests/run-make/test-benches/Makefile ===
include ../tools.mk

# ignore-cross-compile

all:
	# Smoke-test that `#[bench]` isn't entirely broken.
	$(RUSTC) --test smokebench.rs -O
	$(call RUN,smokebench --bench)
	$(call RUN,smokebench --bench noiter)
	$(call RUN,smokebench --bench yesiter)
	$(call RUN,smokebench)

## rustc-web 1.70.0+dfsg1

=== tests/run-make/allow-warnings-cmdline-stability/Makefile ===
# ignore-cross-compile
include ../tools.mk

# Test that -A warnings makes the 'empty trait list for derive' warning go away
DEP=$(shell $(RUSTC) bar.rs)
OUT=$(shell $(RUSTC) foo.rs -A warnings 2>&1 | grep "warning" )

all: foo bar
	test -z '$(OUT)'

# These are just to ensure that the above commands actually work
bar:
	$(RUSTC) bar.rs

foo: bar
	$(RUSTC) foo.rs -A warnings

=== tests/run-make/c-unwind-abi-catch-lib-panic/Makefile ===
# ignore-cross-compile
include ../tools.mk

all: archive
	# Compile `main.rs`, which will link into our library, and run it.
	$(RUSTC) main.rs
	$(call RUN,main)

ifdef IS_MSVC
archive: add.o panic.o
	# Now, create an archive using these two objects.
	$(AR) crus $(TMPDIR)/add.lib $(TMPDIR)/add.o $(TMPDIR)/panic.o
else
archive: add.o panic.o
	# Now, create an archive using these two objects.
	$(AR) crus $(TMPDIR)/libadd.a $(TMPDIR)/add.o $(TMPDIR)/panic.o
endif

# Compile `panic.rs` into an object file.
#
# Note that we invoke `rustc` directly, so we may emit an object rather
# than an archive. We'll do that later.
panic.o:
	$(BARE_RUSTC) $(RUSTFLAGS)  \
		--out-dir $(TMPDIR) \
		--emit=obj panic.rs

# Compile `add.c` into an object file.
add.o:
	$(call COMPILE_OBJ,$(TMPDIR)/add.o,add.c)

=== tests/run-make/c-unwind-abi-catch-panic/Makefile ===
# ignore-cross-compile
include ../tools.mk

all: $(call NATIVE_STATICLIB,add)
	$(RUSTC) main.rs
	$(call RUN,main) || exit 1

=== tests/run-make/const_fn_mir/Makefile ===
include ../tools.mk

all:
	$(RUSTC) main.rs --emit=mir -o "$(TMPDIR)"/dump.mir

ifdef RUSTC_BLESS_TEST
	cp "$(TMPDIR)"/dump.mir dump.mir
else
	$(DIFF) dump.mir "$(TMPDIR)"/dump.mir
endif

=== tests/run-make/crate-hash-rustc-version/Makefile ===
# ignore-cross-compile
include ../tools.mk

# Ensure that crates compiled with different rustc versions cannot
# be dynamically linked.

FLAGS := -Cprefer-dynamic -Zsymbol-mangling-version=v0
UNAME := $(shell uname)
ifeq ($(UNAME),Linux)
  EXT=".so"
  NM_CMD := nm -D
endif
ifeq ($(UNAME),Darwin)
  EXT=".dylib"
  NM_CMD := nm
endif

ifndef NM_CMD
all:
	exit 0
else
all:
	# a.rs is a dylib
	$(RUSTC) a.rs --crate-type=dylib $(FLAGS)
	# Write symbols to disk.
	$(NM_CMD) $(call DYLIB,a) > $(TMPDIR)/symbolsbefore
	# b.rs is a binary
	$(RUSTC) b.rs --extern a=$(TMPDIR)/liba$(EXT) --crate-type=bin -Crpath $(FLAGS)
	$(call RUN,b)
	# Now re-compile a.rs with another rustc version
	RUSTC_FORCE_RUSTC_VERSION=deadfeed $(RUSTC) a.rs --crate-type=dylib $(FLAGS)
	# After compiling with a different rustc version, write symbols to disk again.
	$(NM_CMD) $(call DYLIB,a) > $(TMPDIR)/symbolsafter
	# As a sanity check, test if the symbols changed:
	# If the symbols are identical, there's been an error.
	if diff $(TMPDIR)/symbolsbefore $(TMPDIR)/symbolsafter; then exit 1; fi
	$(call FAIL,b)
endif

=== tests/run-make/duplicate-output-flavors/Makefile ===
include ../tools.mk

all:
	$(RUSTC) --crate-type=rlib foo.rs
	$(RUSTC) --crate-type=rlib,rlib foo.rs

=== tests/run-make/exit-code/Makefile ===
# ignore-cross-compile
include ../tools.mk

all:
	$(RUSTC) success.rs; [ $$? -eq 0 ]
	$(RUSTC) --invalid-arg-foo; [ $$? -eq 1 ]
	$(RUSTC) compile-error.rs; [ $$? -eq 1 ]
	$(RUSTC) -Ztreat-err-as-bug compile-error.rs; [ $$? -eq 101 ]
	$(RUSTDOC) -o $(TMPDIR)/exit-code success.rs; [ $$? -eq 0 ]
	$(RUSTDOC) --invalid-arg-foo; [ $$? -eq 1 ]
	$(RUSTDOC) compile-error.rs; [ $$? -eq 1 ]
	$(RUSTDOC) lint-failure.rs; [ $$? -eq 1 ]

=== tests/run-make/issue-30063/Makefile ===
# ignore-cross-compile
include ../tools.mk

all:
	rm -f $(TMPDIR)/foo-output
	$(RUSTC) -C codegen-units=4 -o $(TMPDIR)/foo-output foo.rs
	rm $(TMPDIR)/foo-output

	rm -f $(TMPDIR)/asm-output
	$(RUSTC) -C codegen-units=4 --emit=asm -o $(TMPDIR)/asm-output foo.rs
	rm $(TMPDIR)/asm-output

	rm -f $(TMPDIR)/bc-output
	$(RUSTC) -C codegen-units=4 --emit=llvm-bc -o $(TMPDIR)/bc-output foo.rs
	rm $(TMPDIR)/bc-output

	rm -f $(TMPDIR)/ir-output
	$(RUSTC) -C codegen-units=4 --emit=llvm-ir -o $(TMPDIR)/ir-output foo.rs
	rm $(TMPDIR)/ir-output

	rm -f $(TMPDIR)/link-output
	$(RUSTC) -C codegen-units=4 --emit=link -o $(TMPDIR)/link-output foo.rs
	rm $(TMPDIR)/link-output

	rm -f $(TMPDIR)/obj-output
	$(RUSTC) -C codegen-units=4 --emit=obj -o $(TMPDIR)/obj-output foo.rs
	rm $(TMPDIR)/obj-output

	rm -f $(TMPDIR)/dep-output
	$(RUSTC) -C codegen-units=4 --emit=dep-info -o $(TMPDIR)/dep-output foo.rs
	rm $(TMPDIR)/dep-output

#	# (This case doesn't work yet, and may be fundamentally wrong-headed anyway.)
#	rm -f $(TMPDIR)/multi-output
#	$(RUSTC) -C codegen-units=4 --emit=asm,obj -o $(TMPDIR)/multi-output foo.rs
#	rm $(TMPDIR)/multi-output

=== tests/run-make/issue-33329/Makefile ===
include ../tools.mk

all:
	$(RUSTC) --target x86_64_unknown-linux-musl main.rs 2>&1 | $(CGREP) \
		"error: Error loading target specification: Could not find specification for target"

=== tests/run-make/issue-96498/Makefile ===
# only-windows
# needs-rust-lld

include ../tools.mk

# Ensure that LLD can link
all:
	$(RUSTC) -C linker=rust-lld foo.rs

=== tests/run-make/libs-through-symlinks/Makefile ===
# ignore-cross-compile
include ../tools.mk

# ignore-windows

NAME := $(shell $(RUSTC) --print file-names foo.rs)

all:
	mkdir -p $(TMPDIR)/outdir
	$(RUSTC) foo.rs -o $(TMPDIR)/outdir/$(NAME)
	ln -nsf outdir/$(NAME) $(TMPDIR)
	RUSTC_LOG=rustc_metadata::loader $(RUSTC) bar.rs

=== tests/run-make/libtest-json/Makefile ===
# ignore-cross-compile
include ../tools.mk

# Test expected libtest's JSON output

OUTPUT_FILE_DEFAULT := $(TMPDIR)/libtest-json-output-default.json
OUTPUT_FILE_STDOUT_SUCCESS := $(TMPDIR)/libtest-json-output-stdout-success.json

all: f.rs validate_json.py output-default.json output-stdout-success.json
	$(RUSTC) --test f.rs
	RUST_BACKTRACE=0 $(call RUN,f) -Z unstable-options --test-threads=1 --format=json > $(OUTPUT_FILE_DEFAULT) || true
	RUST_BACKTRACE=0 $(call RUN,f) -Z unstable-options --test-threads=1 --format=json --show-output > $(OUTPUT_FILE_STDOUT_SUCCESS) || true

	cat $(OUTPUT_FILE_DEFAULT) | "$(PYTHON)" validate_json.py
	cat $(OUTPUT_FILE_STDOUT_SUCCESS) | "$(PYTHON)" validate_json.py

	# Normalize the actual output and compare to expected output file
	cat $(OUTPUT_FILE_DEFAULT) | sed 's/"exec_time": [0-9.]*/"exec_time": $$TIME/' | diff output-default.json -
	cat $(OUTPUT_FILE_STDOUT_SUCCESS) | sed 's/"exec_time": [0-9.]*/"exec_time": $$TIME/' | diff output-stdout-success.json -

=== debian/changelog ===
rustc-web (1.70.0+dfsg1-7~deb12u2) bookworm; urgency=medium

  * Non-maintainer upload.
  * Increase allowed test failures on armhf and ppc64el to fix FTBFS.
  * Provide Conflicts/Replaces for rust*-mozilla*, which could still be
    installed from oldstable (closes: #1064562).
  * Add Provides/Conflicts/Replaces for libstd-rust-1.70 (closes: #1064563).

 -- Andres Salomon <dilinger@debian.org>  Sat, 02 Mar 2024 07:23:15 +0000

rustc-web (1.70.0+dfsg1-7~deb12u1) bookworm; urgency=medium

  * Non-maintainer upload.
  * Rename rustc backport to rustc-web, intended to be used for browsers.
  * Generate & include bootstrap compilers via an orig-stage0.tar.xz.
  * Add mipsel bootstrap compiler back, as mipsel is still in bookworm.
  * Disable profiler on mipsel, as it likely doesn't work either.
  * Disable wasm.
  * Drop -all virtual package, which doesn't make sense for us.

 -- Andres Salomon <dilinger@debian.org>  Wed, 14 Feb 2024 02:02:37 +0000

rustc (1.70.0+dfsg1-7) unstable; urgency=medium

  * profiler: disable on mips64el for now, it's buggy

 -- Fabian Grünbichler <debian@fabian.gruenbichler.email>  Thu, 15 Feb 2024 06:52:19 +0100

rustc (1.70.0+dfsg1-6) unstable; urgency=medium

  [ Fabian Grünbichler ]
  * fix bootstrap helpers (Closes: #1060808)
  * rustix: patch both versions to fix racy build

  [ Andres Salomon ]
  * Fix source_orig-stage0 bootstrapping process to actually include all
    architectures (closes: #1021711).
  * Run 'd/rules clean' after running make_orig-stage0_tarball.sh so that the
    suggestion to rebuild the .dsc actually works.
  * Don't allow upstream's bootstrap.py to delete .cargo/ directory.

  [ Fabian Grünbichler ]
  * stage0: use current release architectures as default
  * disable LLVM profiler support on sparc64 (Closes: #1061125)

 -- Fabian Grünbichler <debian@fabian.gruenbichler.email>  Sun, 11 Feb 2024 20:59:19 +0100

rustc (1.70.0+dfsg1-5) unstable; urgency=medium

  * adapt LLVM_PROFILER_RT_LIB path

 -- Fabian Grünbichler <debian@fabian.gruenbichler.email>  Mon, 15 Jan 2024 08:16:35 +0100

rustc (1.70.0+dfsg1-4) unstable; urgency=medium

  * fix libclang-rt-16-dev Build-dep

 -- Fabian Grünbichler <debian@fabian.gruenbichler.email>  Mon, 15 Jan 2024 07:00:08 +0100

rustc (1.70.0+dfsg1-3) unstable; urgency=medium

  [ Andres Salomon ]
  * Enable profiler builtin and backport u-profiler.patch (closes: #1043311).
  * Build-dep on libclang-rt-16-dev.

 -- Fabian Grünbichler <debian@fabian.gruenbichler.email>  Sun, 14 Jan 2024 20:06:29 +0100

rustc (1.70.0+dfsg1-2) unstable; urgency=medium

  * Upload to unstable

 -- Fabian Grünbichler <debian@fabian.gruenbichler.email>  Sat, 30 Dec 2023 14:52:00 +0100

rustc (1.70.0+dfsg1-2~exp1) experimental; urgency=medium

  * riscv: disable split debuginfo support

 -- Fabian Grünbichler <debian@fabian.gruenbichler.email>  Sat, 02 Dec 2023 11:19:31 +0100

rustc (1.70.0+dfsg1-1) unstable; urgency=medium

  * Upload to unstable

 -- Fabian Grünbichler <debian@fabian.gruenbichler.email>  Wed, 20 Sep 2023 20:18:40 +0200

rustc (1.70.0+dfsg1-1~exp3) experimental; urgency=medium

  * more test fixes

 -- Fabian Grünbichler <debian@fabian.gruenbichler.email>  Fri, 15 Sep 2023 15:07:01 +0200

rustc (1.70.0+dfsg1-1~exp2) experimental; urgency=medium

  * don't remove replace-version-placeholder from workspace
  * disable download tests
  * fix x86 tests checking for SSE2

 -- Fabian Grünbichler <debian@fabian.gruenbichler.email>  Fri, 15 Sep 2023 10:10:52 +0200

rustc (1.70.0+dfsg1-1~exp1) experimental; urgency=medium

  * New upstream release
  * switch to LLVM 16
  * properly drop more components
  * rust-src: fix path of installed example config
  * fix lintian overrides
  * update d/copyright

 -- Fabian Grünbichler <debian@fabian.gruenbichler.email>  Thu, 14 Sep 2023 09:07:26 +0200

rustc (1.69.0+dfsg1-1) unstable; urgency=medium

  * Upload to unstable

 -- Fabian Grünbichler <debian@fabian.gruenbichler.email>  Wed, 13 Sep 2023 13:57:58 +0200

rustc (1.69.0+dfsg1-1~exp2) experimental; urgency=medium

  * config: also enable rustdoc explicitly
  * bump wasi-libc to revert stack protection (Closes: #1051815)

 -- Fabian Grünbichler <debian@fabian.gruenbichler.email>  Wed, 13 Sep 2023 08:02:53 +0200

rustc (1.69.0+dfsg1-1~exp1) experimental; urgency=medium

  [ Eric Long ]
  * New upstream release
  * Manually include `rust-analyzer-proc-macro-srv` (again)

  [ Fabian Grünbichler ]
  * add libc with "extra_traits" to feature sync patch
  * update d/copyright
  * update lintian overrides

 -- Fabian Grünbichler <debian@fabian.gruenbichler.email>  Tue, 12 Sep 2023 10:17:15 +0200

rustc (1.68.2+dfsg1-1) unstable; urgency=medium

  * Upload to unstable

 -- Fabian Grünbichler <debian@fabian.gruenbichler.email>  Sun, 10 Sep 2023 19:22:53 +0200

rustc (1.68.2+dfsg1-1~exp1) experimental; urgency=medium

  [ Eric Long ]
  * New upstream version 1.68.2+dfsg1
  * Update patches to adapt to upstream test path change

  [ Fabian Grünbichler ]
  * Update wasi-libc to 4362b18
  * Update doc path to fix linkcheck
  * Update d/copyright
  * Update lintian overrides
  * Update privacy breach removal (github badge)
  * Bump Standards-Version to 4.6.2

  [Helmut Grohne]
  * Fix FTCBFS: Do not pass host CFLAGS to the build compiler
    (Closes: #1050975)

 -- Fabian Grünbichler <debian@fabian.gruenbichler.email>  Wed, 02 Aug 2023 13:17:47 +0200

rustc (1.67.1+dfsg1-1) unstable; urgency=medium

  * Upload to unstable

 -- Fabian Grünbichler <debian@fabian.gruenbichler.email>  Sun, 03 Sep 2023 19:58:53 +0200

rustc (1.67.1+dfsg1-1~exp1) experimental; urgency=medium

  [ Fabian Grünbichler ]
  * update/rebase/drop patches (based on work by Blair Noctis)
  * d/copyright: add missing statements
  * add missing lintian overrides for test cases

  [ Blair Noctis ]
  * New upstream release
  * Cherry-pick sysroot detection fix
  * Update d/copyright for some vendored



=== debian/control ===
Source: rustc-web
Section: devel
Priority: optional
Maintainer: Debian Rust Maintainers <pkg-rust-maintainers@alioth-lists.debian.net>
Uploaders:
 Ximin Luo <infinity0@debian.org>,
 Sylvestre Ledru <sylvestre@debian.org>,
 Fabian Grünbichler <debian@fabian.gruenbichler.email>
Rules-Requires-Root: no
# :native annotations are to support cross-compiling, see README.Debian
Build-Depends:
 debhelper (>= 9),
 debhelper-compat (= 13),
 dpkg-dev (>= 1.17.14),
 python3:native,
 llvm-16-dev:native,
 llvm-16-tools:native,
 gcc-mingw-w64-x86-64-posix:native [amd64] <!nowindows>,
 gcc-mingw-w64-i686-posix:native [i386] <!nowindows>,
 libllvm16 (>= 1:16.0.0),
 libclang-rt-16-dev:native,
 cmake (>= 3.0) | cmake3,
# needed by some vendor crates
 pkg-config,
# this is sometimes needed by rustc_llvm
 zlib1g-dev:native,
 zlib1g-dev,
# used by rust-installer
 liblzma-dev:native,
# test dependencies:
 binutils (>= 2.26) <!nocheck> | binutils-2.26 <!nocheck>,
 git <!nocheck>,
 procps <!nocheck>,
# below are optional tools even for 'make check'
 gdb (>= 7.12) <!nocheck>,
# Extra build-deps needed for x.py to download stuff in pkg.rustc.dlstage0.
 curl <pkg.rustc.dlstage0>,
 ca-certificates <pkg.rustc.dlstage0>,
Build-Depends-Indep:
 clang-16:native,
Build-Conflicts: gdb-minimal <!nocheck>
Standards-Version: 4.6.2
Homepage: http://www.rust-lang.org/
Vcs-Git: https://salsa.debian.org/rust-team/rust.git
Vcs-Browser: https://salsa.debian.org/rust-team/rust

Package: rustc-web
Architecture: any
Multi-Arch: allowed
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends},
 libstd-rust-web-dev (= ${binary:Version}),
 gcc, libc-dev, binutils (>= 2.26)
Recommends:
 cargo (>= 0.71.0~~), cargo (<< 0.72.0~~),
# llvm is needed for llvm-dwp for -C split-debuginfo=packed
 llvm-16,
Suggests:
# lld and clang are needed for wasm compilation
 lld-16, clang-16,
Conflicts: rustc, rustc-mozilla
Provides: rustc (= ${binary:Version})
Replaces: libstd-rust-dev (<< 1.25.0+dfsg1-2~~), rustc, rustc-mozilla
Breaks: libstd-rust-dev (<< 1.25.0+dfsg1-2~~)
Description: Rust systems programming language
 Rust is a curly-brace, block-structured expression language.  It
 visually resembles the C language family, but differs significantly
 in syntactic and semantic details.  Its design is oriented toward
 concerns of "programming in the large", that is, of creating and
 maintaining boundaries - both abstract and operational - that
 preserve large-system integrity, availability and concurrency.
 .
 It supports a mixture of imperative procedural, concurrent actor,
 object-oriented and pure functional styles.  Rust also supports
 generic programming and meta-programming, in both static and dynamic
 styles.

Package: libstd-rust-web-1.70
Section: libs
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: libstd-rust-1.70
Replaces: libstd-rust-1.70
Provides: libstd-rust-1.70
Description: Rust standard libraries
 Rust is a curly-brace, block-structured expression language.  It
 visually resembles the C language family, but differs significantly
 in syntactic and semantic details.  Its design is oriented toward
 concerns of "programming in the large", that is, of creating and
 maintaining boundaries - both abstract and operational - that
 preserve large-system integrity, availability and concurrency.
 .
 It supports a mixture of imperative procedural, concurrent actor,
 object-oriented and pure functional styles.  Rust also supports
 generic programming and meta-programming, in both static and dynamic
 styles.
 .
 This package contains the standard Rust libraries, built as dylibs,
 needed to run dynamically-linked Rust programs (-C prefer-dynamic).

Package: libstd-rust-web-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends},
 libstd-rust-web-1.70 (= ${binary:Version}),
Conflicts: libstd-rust-dev, libstd-rust-mozilla-dev
Provides: libstd-rust-dev (= ${binary:Version})
Replaces: libstd-rust-dev, libstd-rust-mozilla-dev
Description: Rust standard libraries - development files
 Rust is a curly-brace, block-structured expression language.  It
 visually resembles the C language family, but differs significantly
 in syntactic and semantic details.  Its design is oriented toward
 concerns of "programming in the large", that is, of creating and
 maintaining boundaries - both abstract and operational - that
 preserve large-system integrity, availability and concurrency.
 .
 It supports a mixture of imperative procedural, concurrent actor,
 object-oriented and pure functional styles.  Rust also supports
 generic programming and meta-programming, in both static and dynamic
 styles.
 .
 This package contains development files for the standard Rust libraries,
 needed to compile Rust programs. It may also be installed on a system
 of another host architecture, for cross-compiling to this architecture.

Package: libstd-rust-web-dev-windows
Section: libdevel
Architecture: amd64 i386
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends:
 gcc-mingw-w64-x86-64-posix [amd64],
 gcc-mingw-w64-i686-posix [i386],
Conflicts: libstd-rust-dev-windows, libstd-rust-mozilla-dev-windows
Replaces: libstd-rust-mozilla-dev-windows
Build-Profiles: <!nowindows>
Description: Rust standard libraries - development files
 Rust is a curly-brace, block-structured expression language.  It
 visually resembles the C language family, but differs significantly
 in syntactic and semantic details.  Its design is oriented toward
 concerns of "programming in the large", that is, of creating and
 maintaining boundaries - both abstract and operational - that
 preserve large-system integrity, availability and concurrency.
 .
 It supports a mixture of imperative procedural, concurrent actor,
 object-oriented and pure functional styles.  Rust also supports
 generic programming and meta-programming, in both static and dynamic
 styles.
 .
 This package contains the standard Rust libraries including development files,
 needed to cross-compile Rust programs to the *-pc-windows-gnu target
 corresponding to the architecture of this package.

Package: rust-web-gdb
Architecture: all
Depends: gdb, ${misc:Depends}
Suggests: gdb-doc
Conflicts: rust-gdb, rust-mozilla-gdb
Replaces: rustc (<< 1.1.0+dfsg1-1), rust-mozilla-gdb
Description: Rust debugger (gdb)
 Rust is a curly-brace, block-structured expression language.  It
 visually resembles the C language family, but differs significantly
 in syntactic and semantic details.  Its design is oriented toward
 concerns of "programming in the large", that is, of creating and
 maintaining boundaries - both abstract and operational - that
 preserve large-system integrity, availability and concurrency.
 .
 It supports a mixture of imperative procedural, concurrent actor,
 object-oriented and pure functional styles.  Rust also supports
 generic programming and meta-programming, in both static and dynamic
 styles.
 .
 This package contains pretty printers and a wrapper script for
 invoking gdb on rust binaries.

Package: rust-web-lldb
Architecture: all
# When updating, also update rust-lldb.links
Depends: lldb-16, ${misc:Depends}, python3-lldb-16
Replaces: rustc (<< 1.1.0+dfsg1-1), rust-mozilla-lldb
Conflicts: rust-lldb, rust-mozilla-lldb
Description: Rust debugger (lldb)
 Rust is a curly-brace, block-structured expression language.  It
 visually resembles the C language family, but differs significantly
 in syntactic and semantic details.  Its design is oriented toward
 concerns of "programming in the large", that is, of creating and
 maintaining boundaries - both abstract and operational - that
 preserve large-system integrity, availability and concurrency.
 .
 It supports a mixture of imperative procedural, concurrent actor,
 object-oriented and pure functional styles.  Rust also supports
 generic programming and meta-programming, in both static and dynamic
 styles.
 .
 This package contains pretty printers and a wrapper script for
 invoking lldb on rust binaries.

Package: rust-web-doc
Section: doc
Architecture: all
Build-Profiles: <!nodoc>
Depends: ${misc:Depends},
 libjs-jquery, libjs-highlight.js, libjs-mathjax,
 fonts-open-sans, fonts-font-awesome
Recommends: cargo-doc
Conflicts: rust-doc
Description: Rust systems programming language - Documentation
 Rust is a curly-brace, block-structured expression language.  It
 visually resembles the C language family, but differs significantly
 in syntactic and semantic details.  Its design is oriented toward
 concerns of "programming in the large", that is, of creating and
 maintaining boundaries - both abstract and operational - that
 preserve large-system integrity, availability and concurrency.
 .
 It supports a mixture of imperative procedural, concurrent actor,
 object-oriented and pure functional styles.  Rust also supports
 generic programming and meta-programming, in both static and dynamic
 styles.
 .
 This package contains the Rust tutorial, language reference and
 standard library documentation.

Package: rust-web-src
Architecture: all
Depends: ${misc:Depends}
Conflicts: rust-src, rust-mozilla-src
Replaces: rust-mozilla-src
Description: Rust systems programming language - source code
 Rust is a curly-brace, block-structured expression language.  It
 visually resembles the C language family, but differs significantly
 in syntactic and semantic details.  Its design is oriented toward
 concerns of "programming in the large", that is, of creating and
 maintaining boundaries - both abstract and operational - that
 preserve large-system integrity, availability and concurrency.
 .
 It supports a mixture of imperative procedural, concurrent actor,
 object-oriented and pure functional styles.  Rust also supports
 generic programming and meta-programming, in both static and dynamic
 styles.
 .
 This package contains sources of the Rust compiler and standard
 libraries, useful for IDEs and code analysis tools such as Racer.

Package: rust-web-clippy
Architecture: any
Multi-Arch: allowed
Depends: ${misc:Depends}, ${shlibs:Depends},
 libstd-rust-web-1.70 (= ${binary:Version})
Recommends: cargo
Conflicts: rust-clippy
Description: Rust linter
 Rust is a curly-brace, block-structured expression language.  It
 visually resembles the C language family, but differs significantly
 in syntactic and semantic details.  Its design is oriented toward
 concerns of "programming in the large", that is, of creating and
 maintaining boundaries - both abstract and operational - that
 preserve large-system integrity, availability and concurrency.
 .
 It supports a mixture of imperative procedural, concurrent actor,
 object-oriented and pure functional styles.  Rust also supports
 generic programming and meta-programming, in both static and dynamic
 styles.
 .
 This package contains 'clippy', a linter to catch common mistakes and improve
 your Rust code as well a collection of over 400 compatible lints.
 .
 Lints are divided into categories, each with a default lint level. You can
 choose how much Clippy is supposed to annoy help you by changing the lint
 level by category.
 .
 Clippy is integrated into the 'cargo' build tool, available via 'cargo clippy'.

Package: rustfmt-web
Architecture: any
Multi-Arch: allowed
Depends: ${misc:Depends}, ${shlibs:Depends},
Recommends: cargo
Conflicts: rustfmt
Description: Rust formatting helper
 Rust is a curly-brace, block-structured expression language.  It
 visually resembles the C language family, but differs significantly
 in syntactic and semantic details.  Its design is oriented toward
 concerns of "programming in the large", that is, of creating and
 maintaining boundaries - both abstract and operational - that
 preserve large-system integrity, availability and concurrency.
 .
 It supports a mixture of imperative procedural, concurrent actor,
 object-oriented and pure functional styles.  Rust also supports

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

include /usr/share/dpkg/pkg-info.mk
include /usr/share/dpkg/vendor.mk
include /usr/share/dpkg/architecture.mk
SED_VERSION_SHORT := sed -re 's/([^.]+)\.([^.]+)\..*/\1.\2/'
RUST_VERSION := $(shell echo '$(DEB_VERSION_UPSTREAM)' | $(SED_VERSION_SHORT))
RUST_LONG_VERSION := $(shell echo '$(DEB_VERSION_UPSTREAM)' | sed -re 's/([^+]+).*/\1/')
LIBSTD_PKG := libstd-rust-web-$(RUST_VERSION)
# Sed expression that matches the "rustc" we have in our Build-Depends field
SED_RUSTC_BUILDDEP := sed -ne "/^Build-Depends:/,/^[^[:space:]\#]/{/^ *rustc-web:native .*,/p}" debian/control
# Version of /usr/bin/rustc
LOCAL_RUST_VERSION := $(shell rustc --version --verbose | sed -ne 's/^release: //p')

include /usr/share/dpkg/buildflags.mk
# needed for cross-compilation to avoid passing host CFLAGS to the BUILD
# compiler
export TARGET_CFLAGS = $(CFLAGS)
export TARGET_CXXFLAGS = $(CXXFLAGS)
export TARGET_CPPFLAGS = $(CPPFLAGS)
export TARGET_LDFLAGS = $(LDFLAGS)
unexport CFLAGS CXXFLAGS CPPFLAGS LDFLAGS
export CARGO_HOME = $(CURDIR)/debian/cargo

# Defines DEB_*_RUST_TYPE triples
include debian/architecture.mk
# for dh_install substitution variable
export DEB_HOST_RUST_TYPE

# for dh_install substitution variable
export RUST_LONG_VERSION

DEB_DESTDIR := $(CURDIR)/debian/tmp

# Use system LLVM (comment out to use vendored LLVM)
LLVM_VERSION = 16
OLD_LLVM_VERSION = 15
# Make it easier to test against a custom LLVM
ifneq (,$(LLVM_DESTDIR))
LLVM_LIBRARY_PATH := $(LLVM_DESTDIR)/usr/lib/$(DEB_HOST_MULTIARCH):$(LLVM_DESTDIR)/usr/lib
LD_LIBRARY_PATH := $(if $(LD_LIBRARY_PATH),$(LD_LIBRARY_PATH):$(LLVM_LIBRARY_PATH),$(LLVM_LIBRARY_PATH))
export LD_LIBRARY_PATH
endif

# Required for profiler builtin
CLANG_RT_ARCH := $(DEB_TARGET_GNU_CPU)
ifeq (i386,$(DEB_TARGET_ARCH))
CLANG_RT_ARCH = i386
endif
ifeq (armhf,$(DEB_TARGET_ARCH))
CLANG_RT_ARCH = armhf
endif

ifneq (,$(filter $(DEB_TARGET_ARCH), sparc64 mips64el mipsel)))
# sparc64: see https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=1061125
# mips64el: has profiler, but buggy atm (32-bit overflow in some counter?)
CLANG_RT_ARCH =
PROFILER = "false"
else
export LLVM_PROFILER_RT_LIB=/usr/lib/llvm-$(LLVM_VERSION)/lib/clang/$(LLVM_VERSION)/lib/linux/libclang_rt.profile-$(CLANG_RT_ARCH).a
PROFILER = "true"
endif

ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
NJOBS := -j $(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
endif
RUSTBUILD = RUST_BACKTRACE=1 python3 src/bootstrap/bootstrap.py $(NJOBS)
RUSTBUILD_FLAGS = --stage 2 --config debian/config.toml --on-fail env
# rust-tidy depends on lots of modules that we strip out of the build.
# it also tries to access the network for some reason. so just disable it.
RUSTBUILD_TEST = $(RUSTBUILD) test --no-fail-fast --exclude src/tools/tidy
# To run a specific test, run something like:
#   $ debian/rules override_dh_auto_test-arch \
#     RUSTBUILD_TEST_FLAGS="src/test/run-make --test-args extern-fn-struct"
# See src/bootstrap/README.md for more options.
RUSTBUILD_TEST_FLAGS =

# https://github.com/rust-lang/rust/issues/89744
# TODO: remove when we update cargo to 1.55 / 0.56
# upstream bug still exists and is under investigation, but is hidden by newer cargo
export CARGO_PROFILE_RELEASE_BUILD_OVERRIDE_OPT_LEVEL=0

update-version:
	oldver=$(shell $(SED_RUSTC_BUILDDEP) | sed -ne 's/.*(<= \(.*\)).*/\1/gp' | $(SED_VERSION_SHORT)); \
	newver=$(RUST_VERSION); \
	debian/update-version.sh $$oldver $$newver $(RUST_LONG_VERSION) $(CARGO_NEW)

# Below we detect how we're supposed to bootstrap the stage0 compiler. See
# README.Debian for more details of the cases described below.
#
PRECONFIGURE_CHECK = :
HAVE_BINARY_TARBALL := $(shell ls -1 stage0/*/*$(DEB_HOST_RUST_TYPE)* 2>/dev/null | wc -l)
DOWNLOAD_BOOTSTRAP := false
# allow not using the binary tarball although it exists
#ifneq (,$(filter $(DEB_HOST_ARCH), amd64 arm64 armhf i386 powerpc ppc64el s390x))
#  HAVE_BINARY_TARBALL := 0
#endif
ifeq (0,$(HAVE_BINARY_TARBALL))
    # Case A (Building from source): the extracted source tree does not include
    # a bootstrapping tarball for the current architecture e.g. because the
    # distro already has a rustc for this arch, or the uploader expects that
    # this requirement be fulfilled in some other way.
    #
    # Case A-1: the builder did not select the "pkg.rustc.dlstage0" build profile.
    # In this case, we use the distro's rustc - either the previous or current version.
    ifeq (,$(findstring pkg.rustc.dlstage0,$(DEB_BUILD_PROFILES)))
        # Make it easier to test against a custom rustc
        ifneq (,$(RUST_DESTDIR))
        RUST_LIBRARY_PATH := $(RUST_DESTDIR)/usr/lib/$(DEB_HOST_MULTIARCH):$(RUST_DESTDIR)/usr/lib
        LD_LIBRARY_PATH := $(if $(LD_LIBRARY_PATH),$(LD_LIBRARY_PATH):$(RUST_LIBRARY_PATH),$(RUST_LIBRARY_PATH))
        export LD_LIBRARY_PATH
        endif
    #
    # Case A-2: the builder selected the "dlstage0" build profile.
    # In this case, the rust build scripts will download a stage0 into stage0/ and use that.
    # We don't need to do anything specific in this build file, so this case is empty.
    else
        DOWNLOAD_BOOTSTRAP := true
    endif
else
    # Case B (Bootstrapping a new distro): the extracted source tree does
    # include a bootstrapping tarball for the current architecture; see the
    # `source_orig-stage0` target below on how to build this.
    #
    # In this case, we'll bootstrap from the stage0 given in that tarball.
    # To ensure the uploader of the .dsc didn't make a mistake, we first check
    # that rustc isn't a Build-Depends for the current architecture.
    ifneq (,$(shell $(SED_RUSTC_BUILDDEP)))
    ifeq (,$(shell $(SED_RUSTC_BUILDDEP) | grep '!$(DEB_HOST_ARCH)'))
        PRECONFIGURE_CHECK = $(error found matches for stage0/*/*$(DEB_HOST_RUST_TYPE)*, \
          but rustc might be a Build-Depends for $(DEB_HOST_ARCH))
    endif
    endif
endif

BUILD_DOCS := true
ifneq (,$(findstring nodoc,$(DEB_BUILD_PROFILES)))
  BUILD_DOCS := false
endif
ifneq (,$(findstring nodoc,$(DEB_BUILD_OPTIONS)))
  BUILD_DOCS := false
endif

BUILD_WASM := false
ifneq (,$(findstring nowasm,$(DEB_BUILD_PROFILES)))
  BUILD_WASM := false
endif

WINDOWS_SUPPORT := amd64 i386
BUILD_WINDOWS := true
ifneq (,$(findstring nowindows,$(DEB_BUILD_PROFILES)))
  BUILD_WINDOWS := false
endif
ifeq (,$(filter $(DEB_HOST_ARCH), $(WINDOWS_SUPPORT)))
  BUILD_WINDOWS := false
else
  ifeq (,$(filter $(DEB_BUILD_ARCH), $(WINDOWS_SUPPORT)))
    ifeq (true,$(BUILD_WINDOWS))
      $(error cannot cross-compile from $(DEB_BUILD_ARCH) to $(DEB_HOST_ARCH), unless "nowindows" is in DEB_BUILD_PROFILES)
    endif
  endif
  ifeq (i386,$(DEB_HOST_ARCH))
    WINDOWS_ARCH := i686
  else
    WINDOWS_ARCH := x86_64
  endif
endif
# for dh_install substitution variable
export WINDOWS_ARCH

MAKE_OPTIMISATIONS := true
ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
  MAKE_OPTIMISATIONS := false
endif

VERBOSITY_SUB := $(words $(filter terse,$(DEB_BUILD_OPTIONS)))
VERBOSITY_ADD := $(words $(filter verbose,$(DEB_BUILD_OPTIONS)))
VERBOSITY := $(shell expr 2 + $(VERBOSITY_ADD) - $(VERBOSITY_SUB))

ifeq ($(shell test $(VERBOSITY) -ge 3; echo $$?),0)
  export DH_VERBOSE=1
endif

ifeq ($(shell test $(VERBOSITY) -le 0; echo $$?),0)
  export DH_QUIET=1
.SILENT:
endif

# Build products or non-source files in src/, that shouldn't go in rust-src
SRC_CLEAN = src/bootstrap/bootstrap.pyc \
	src/bootstrap/__pycache__ \
	src/etc/__pycache__/

# Try to work around #933045
ifneq (,$(filter $(DEB_BUILD_ARCH), mips mipsel))
  SYSTEM_WORKAROUNDS += export MALLOC_ARENA_MAX=1;
endif

%:
	$(SYSTEM_WORKAROUNDS) dh $@ --parallel

.PHONY: .dbg-windows
.dbg-windows:
	@echo host=$(DEB_BUILD_ARCH) target=$(DEB_HOST_ARCH) BUILD_WINDOWS=$(BUILD_WINDOWS) WINDOWS_ARCH=$(WINDOWS_ARCH)

.PHONY: build
build:
	$(SYSTEM_WORKAROUNDS) dh $@ --parallel

override_dh_clean:
	# Upstream contains a lot of these
	dh_clean -XCargo.toml.orig

## rustc-web 1.78.0%2Bdfsg1

=== debian/changelog ===
rustc-web (1.78.0+dfsg1-2~deb11u3) bullseye; urgency=medium

  * Depend on cargo-web for the autopkgtest.
  * Add missing conflicts (closes: #1079744, #1079653, #1076683).

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Wed, 28 Aug 2024 16:54:23 +0200

rustc-web (1.78.0+dfsg1-2~deb11u2) bullseye; urgency=medium

  * Also rename rustfmt to rustfmt-web.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Sat, 24 Aug 2024 12:04:07 +0200

rustc-web (1.78.0+dfsg1-2~deb11u1) bullseye; urgency=medium

  * Backport to bullseye.
  * Switch pkgconf build-dependency to pkg-config, pkgconf in bullseye
    doesn't provide `triplet`-pkgconf binaries.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Thu, 22 Aug 2024 19:36:35 +0200

rustc-web (1.78.0+dfsg1-2~deb12u1) bookworm; urgency=medium

  * Non-maintainer upload.
  * Backport rustc 1.78, as required by newer firefox and chromium.
  * Rename rustc backport to rustc-web.
  * Use LLVM 16.
  * Disable wasm, -all, -llvm packages.
  * Vendor libgit2 dependency.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Thu, 22 Aug 2024 09:35:15 +0200

rustc (1.78.0+dfsg1-2) unstable; urgency=medium

  * unbreak loongson64 build

 -- Fabian Grünbichler <debian@fabian.gruenbichler.email>  Mon, 24 Jun 2024 08:25:58 +0200

rustc (1.78.0+dfsg1-1) unstable; urgency=medium

  [ Samuel Thibault ]
  * debian/patches/vendor/u-hurd-rustix.patch: Fix Hurd build.

 -- Fabian Grünbichler <debian@fabian.gruenbichler.email>  Mon, 24 Jun 2024 07:36:42 +0200

rustc (1.78.0+dfsg1-1~exp1) experimental; urgency=medium

  * New upstream release
  * cherry-pick rmake v2 test fix

 -- Fabian Grünbichler <debian@fabian.gruenbichler.email>  Fri, 21 Jun 2024 12:33:24 +0200

rustc (1.77.2+dfsg1-1) unstable; urgency=medium

  [ Fabian Grünbichler ]
  * fix builds on porter boxes
  * d/control: tighten libgit2-dev dependency

  [ Samuel Thibault ]
  * fix hurd patches

 -- Fabian Grünbichler <debian@fabian.gruenbichler.email>  Thu, 20 Jun 2024 13:40:40 +0200

rustc (1.77.2+dfsg1-1~exp1) experimental; urgency=medium

  * New upstream release.
  * config: don't attempt to optimize compiler-rt

 -- Fabian Grünbichler <debian@fabian.gruenbichler.email>  Wed, 19 Jun 2024 12:44:26 +0200

rustc (1.76.0+dfsg1-1) unstable; urgency=medium

  [ Samuel Thibault ]
  * Fix hurd build:
    - debian/patches/vendor/u-hurd-gix-index-2.patch
    - debian/patches/vendor/u-hurd-gix-index.patch

 -- Fabian Grünbichler <debian@fabian.gruenbichler.email>  Wed, 19 Jun 2024 07:51:49 +0200

rustc (1.76.0+dfsg1-1~exp1) experimental; urgency=medium

  * New upstream release (Closes: #1073068)
  * switch to gbp pq and topics for patches
  * adapt rebasing script to patch changes
  * d/control: add libsqlite3-dev to B-D
  * doc: fix rust-by-example theme

 -- Fabian Grünbichler <debian@fabian.gruenbichler.email>  Fri, 14 Jun 2024 14:50:17 +0200

rustc (1.75.0+dfsg1-5) unstable; urgency=medium

  [ Samuel Thibault ]
  * hurd-i386 build fixes:
    - d/patches/u-hurd-backtrace.patch
    - d/patches/u-hurd-getrandom.patch
    - d/patches/u-hurd-libc.3.patch
    - d/patches/u-hurd-libc.4.patch
    - d/patches/u-hurd-libloading-0.7.4.patch
    - d/patches/u-hurd-socket2.patch
    - d/patches/u-hurd-tests.patch

  [ Fabian Grünbichler ]
  * hurd: also skip problematic run-make test
  * powerpc: disable test running into timeout (Closes: #1072897)
  * d/control: replace non-ASCII apostrophe (Closes: #1072926)
  * stage0: drop mips64el from default list

  [ Rob Shearman ]
  * fix get-stage0.py

 -- Fabian Grünbichler <debian@fabian.gruenbichler.email>  Wed, 12 Jun 2024 17:33:10 +0200

rustc (1.75.0+dfsg1-4) unstable; urgency=medium

  * d/rules: fix comparison (unbreak 32-bit builds)

 -- Fabian Grünbichler <debian@fabian.gruenbichler.email>  Thu, 06 Jun 2024 10:25:40 +0200

rustc (1.75.0+dfsg1-3) unstable; urgency=medium

  * d/rules: fix variable typo
  * fix changelog

 -- Fabian Grünbichler <debian@fabian.gruenbichler.email>  Thu, 06 Jun 2024 09:16:53 +0200

rustc (1.75.0+dfsg1-1) unstable; urgency=medium

  * d/rules: switch low-mem check to cover all 32-bits archs

 -- Fabian Grünbichler <debian@fabian.gruenbichler.email>  Thu, 06 Jun 2024 08:14:17 +0200

rustc (1.75.0+dfsg1-1~exp1) experimental; urgency=medium

  [ Fabian Grünbichler ]
  * New upstream release (Closes: #1068008)
  * fix cross-building (thanks John Paul Adrian Glaubitz!)

  [ Samuel Thibault ]
  * rules: Use 32bit limitations workaround on !linux as well


 -- Fabian Grünbichler <debian@fabian.gruenbichler.email>  Tue, 04 Jun 2024 21:24:09 +0200

rustc (1.74.1+dfsg1-1) unstable; urgency=medium

  * dwz: bump limit to avoid s390x build failures

 -- Fabian Grünbichler <debian@fabian.gruenbichler.email>  Thu, 30 May 2024 11:25:53 +0200

rustc (1.74.1+dfsg1-1~exp1) experimental; urgency=medium

  [ Fabian Grünbichler ]
  * New upstream release

  [ Samuel Thibault ]
  * architecture.mk: Adapt to llvm/rust's hurd naming
  * rules: Disable profiling on Hurd ports, llvm does not provide it yet
  * rules: Set the number of expected failures on Hurd ports

 -- Fabian Grünbichler <debian@fabian.gruenbichler.email>  Wed, 29 May 2024 11:24:48 +0200

rustc (1.73.0+dfsg1-1) unstable; urgency=medium

  * libstd-rust-1.73: fix ldconfig trigger

 -- Fabian Grünbichler <debian@fabian.gruenbichler.email>  Tue, 28 May 2024 17:06:58 +0200

rustc (1.73.0+dfsg1-1~exp1) experimental; urgency=medium

  * new upstream release
  * switch to LLVM 17
  * update wasi-libc to ~git20230821.ec4566b
  * cargo: remove cargo-credential-1password helper binary

 -- Fabian Grünbichler <debian@fabian.gruenbichler.email>  Mon, 27 May 2024 22:20:44 +0200

rustc (1.72.1+dfsg1-1) unstable; urgency=medium

  * upload to unstable

 -- Fabian Grünbichler <debian@fabian.gruenbichler.email>  Mon, 27 May 2024 13:28:20 +0200

rustc (1.72.1+dfsg1-1~exp2) experimental; urgency=medium

  * patches: apply rustix fixup to all versions
